using BibliotekaWspolna; // Nagrywanie

using static System.Console;

/*
Write("Przetwarzanie, proszę czekać…");
Nagrywanie.Start();

// Symulowanie procesu wymagającego sporej ilości pamięci…
int[] duzaTablica = Enumerable.Range(
  start: 1, count: 10_000).ToArray();

// …i zajmującego sporą ilość czasu.
Thread.Sleep(new Random().Next(5, 10) * 1000);

Nagrywanie.Stop();

*/

int[] liczby = Enumerable.Range(
  start: 1, count: 50000).ToArray();

WriteLine("Używam klasy string i operatora +");
Nagrywanie.Start();
string s = string.Empty;
for (int i = 0; i < liczby.Length; i++)
{
   s += liczby[i] + ", ";
}
Nagrywanie.Stop();

WriteLine("Używam klasy StringBuilder");
Nagrywanie.Start();
System.Text.StringBuilder sb = new();
for (int i = 0; i < liczby.Length; i++)
{
   sb.Append(liczby[i]);
   sb.Append(", ");
}
Nagrywanie.Stop();
